unit uViewConfiguracionDocArmario;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewConfiguracionBase, cxControls, cxContainer, cxEdit, cxTextEdit, cxMemo,
  cxRichEdit, uViewBase, JvExControls, JvGradientHeaderPanel, StdCtrls, ExtCtrls,
  ComCtrls, uCustomView, uViewDetallesBase, uViewDetallesDTO,
  uViewDetallesArticulos, uViewConfiguracionCapitulo;

type
  TfrViewConfiguracionDocArmario = class(TfrViewConfiguracionBase)
    Paginas: TPageControl;
    pagNotas: TTabSheet;
    Label1: TLabel;
    Label2: TLabel;
    Label4: TLabel;
    ePlazosEntrega: TMemo;
    eFormaPago: TMemo;
    eObservaciones: TMemo;
    pagCapituloFrente: TTabSheet;
    frViewConfiguracionCapituloFrente: TfrViewConfiguracionCapitulo;
    pagCapituloInterior: TTabSheet;
    frViewConfiguracionCapituloInterior: TfrViewConfiguracionCapitulo;
    pagCondiciones: TTabSheet;
    eCondiciones: TcxRichEdit;
    pagCalidades: TTabSheet;
    eCalidades: TcxRichEdit;
  public
    class function GetViewClass : TClass; override;
    class function DarEtiqueta : String; override;
    procedure CargarValores; override;
    procedure GuardarValores; override;
  end;

var
  frViewConfiguracionDocArmario: TfrViewConfiguracionDocArmario;

implementation
{$R *.dfm}
{ TfrViewConfiguracionDocARMARIO }

uses uFactuGES_App, uConfiguracionController, uPresupuestosClienteController,
uBizDetallesPresupuestoCliente, uDetallesPresupuestoClienteController;

procedure TfrViewConfiguracionDocArmario.CargarValores;
begin
  inherited;
  eFormaPago.Lines.Clear;
  eFormaPago.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_FORMA_PAGO_ARMARIO);
  ePlazosEntrega.Lines.Clear;
  ePlazosEntrega.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_PLAZOS_ENTREGA_ARMARIO);
  eObservaciones.Lines.Clear;
  eObservaciones.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_OBSERVACIONES_ARMARIO);

  eCalidades.Lines.Clear;
  eCalidades.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_CALIDADES_ARMARIO);

  eCondiciones.Lines.Clear;
  eCondiciones.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_CONDICIONES_ARMARIO);

  frViewConfiguracionCapituloFrente.Controller := TDetallesPresupuestoClienteController.Create;
  frViewConfiguracionCapituloFrente.Detalles := (frViewConfiguracionCapituloFrente.Controller as IDetallesPresupuestoClienteController).BuscarCapitulo(TIPO_CAPITULO_AF);

  frViewConfiguracionCapituloInterior.Controller := TDetallesPresupuestoClienteController.Create;
  frViewConfiguracionCapituloInterior.Detalles := (frViewConfiguracionCapituloInterior.Controller as IDetallesPresupuestoClienteController).BuscarCapitulo(TIPO_CAPITULO_AI);

end;

class function TfrViewConfiguracionDocArmario.DarEtiqueta: String;
begin
  Result := 'Documentos armario';
end;

class function TfrViewConfiguracionDocArmario.GetViewClass: TClass;
begin
  Result := TfrViewConfiguracionDocARMARIO;
end;

procedure TfrViewConfiguracionDocArmario.GuardarValores;
begin
  inherited;
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_FORMA_PAGO_ARMARIO, eFormaPago.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_PLAZOS_ENTREGA_ARMARIO, ePlazosEntrega.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_OBSERVACIONES_ARMARIO, eObservaciones.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_CONDICIONES_ARMARIO, eCondiciones.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_CALIDADES_ARMARIO, eCalidades.Text);

  frViewConfiguracionCapituloFrente.Detalles.DataTable.ApplyUpdates;
  frViewConfiguracionCapituloInterior.Detalles.DataTable.ApplyUpdates;
end;


end.
